## org.apache.batik.css.engine.sac
Class CSSConditionalSelector

    java.lang.Object
      org.apache.batik.css.engine.sac.CSSConditionalSelector

All Implemented Interfaces:
  ConditionalSelector, ExtendedSelector, Selector, SimpleSelector

public class CSSConditionalSelector
extends java.lang.Object
implements ConditionalSelector, ExtendedSelector

This class provides an implementation of the `ConditionalSelector` interface.

Field Summary
`protected Condition` `condition` The condition.
`protected SimpleSelector` `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`CSSConditionalSelector(SimpleSelector s, Condition c)` Creates a new ConditionalSelector object.

Method Summary
`boolean` `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`Condition` `getCondition()` SAC: Implements `ConditionalSelector.getCondition()`.
`short` `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`SimpleSelector` `getSimpleSelector()` SAC: Implements `ConditionalSelector.getSimpleSelector()`.
`int` `getSpecificity()` Returns the specificity of this selector.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this selector matches the given element.
`java.lang.String` `toString()` Returns a representation of the selector.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### simpleSelector

    protected SimpleSelector simpleSelector

  The simple selector.

### condition

    protected Condition condition

  The condition.

Constructor Detail

### CSSConditionalSelector

    public CSSConditionalSelector(SimpleSelector s,
                                  Condition c)

  Creates a new ConditionalSelector object.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Parameters:
    `obj` - the reference object with which to compare.

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

  Specified by:
    `getSelectorType` in interface `Selector`

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this selector matches the given element.

  Specified by:
    `match` in interface `ExtendedSelector`

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

  Specified by:
    `fillAttributeSet` in interface `ExtendedSelector`

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this selector.

  Specified by:
    `getSpecificity` in interface `ExtendedSelector`

### getSimpleSelector

    public SimpleSelector getSimpleSelector()

  SAC: Implements `ConditionalSelector.getSimpleSelector()`.

  Specified by:
    `getSimpleSelector` in interface `ConditionalSelector`

### getCondition

    public Condition getCondition()

  SAC: Implements `ConditionalSelector.getCondition()`.

  Specified by:
    `getCondition` in interface `ConditionalSelector`

### toString

    public java.lang.String toString()

  Returns a representation of the selector.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.